/* .MiK. SoftWare

  Multilingual Terminal Emulator "MTR".

 Copyright (C) 2000 Mike I. Kozin. ALL RIGHT RESERVED
 
 On Base "MuTerminal"
 Copyright (C) 1998,99 Kazuho Okui and Takashi Murai. ALL RIGHT RESERVED
  
 This file is part of MTR.

 MTR is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.

 ShellPrefView.h,v 0.1 26-Sep-2000
***************************************************************************/

#ifndef ShellPrefView__H_INCLUDED
#define ShellPrefView__H_INCLUDED

#include "PrefView.h"

class TermWindow;
class TTextControl;

class ShellPrefView : public PrefView
{
 public:
                ShellPrefView (BRect r, const char *name, TermWindow *window);

  virtual void  SaveIfModified (void);

  void          Revert (void);
  void          SetControlLabels (PrefHandler &Labels);

  void          AttachedToWindow (void);
  void          MessageReceived (BMessage *);

 private:
  TTextControl  *mCols;
  TTextControl  *mRows;

  TTextControl  *mShell;
  TTextControl  *mHistory;

  TermWindow 	*fTermWindow;
  
};

#endif //ShellPrefView_H_INCLUDED
